[blfs-dev] [BLFS Trac] #3413: CUPS 1.6.1

Ken Moffat zarniwhoop at ntlworld.com
Fri Aug 3 13:42:26 PDT 2012


On Fri, Aug 03, 2012 at 02:59:59PM -0500, Bruce Dubbs wrote:
> BLFS Trac wrote:
> > #3413: CUPS 1.6.1
> 
> > Changes (by Krejzi):
> 
> >   Foomatic DB is available from
> >   http://www.openprinting.org/download/foomatic/, so if Bruce would like to
> >   host it, please download 2 db packages (the 4.0-date and non-free-date
> >   one) and put it somewhere so we could cover it in the book if necesary. I
> >   would do the work.
> >
> >   Gutenprint update is also available, and I will check that one too when I
> >   manage to upgrade CUPS.
> 
> I'm not sure why we would need to host files that are available at 
> openprinting.org.  Is it just that you want to lock in a developemnt 
> version?
> 
> BTW, I have a postscript printer (HP) that also understands PCL.  Is 
> there something you would like tested?  I generally run the printer off 
> my wife's computer, but I can switch it to my LFS development system for 
> testing.  The printer is parallel only and I use a parallel<->usb 
> converter cable, but my development system can use either parallel or usb.
> 
 As to the separate issue of using foomatic : we've managed without
it until this year.  Earlier this year, someone reported that it
fixed his problem, but then more recently someone else had a cups
problem and I think eventually the fix was different.  I would
prefer not to add foomatic until it can be shown to be required [
possibly, that might mean that for certain printers it could be
required - I use an epson inkjet with gutenprint, and for me it
hasn't been necessary - long ago, I thought I would need it, but
Alexander questioned that, and was right ].

 In my opinion, for those of us who build from source, upgrading
cups may produce different results from a fresh install.  I'll be
looking at cups-1.6 whenever I next make a fresh build,  But my own
build of 1.5 is quite different from the book's (because I was not
contributing when I went to 1.5), so YMMV.

ĸen
-- 
das eine Mal als Tragödie, das andere Mal als Farce



More information about the blfs-dev mailing list